#ifndef PONG_H
#define PONG_H

#include "Address.h"

#include <string>

#ifdef HAVE_STDINT_H
#include <stdint.h>
#else
#if HAVE_SYS_INT_TYPES_H
#include <sys/int_types.h>
#endif
#endif

using namespace std;

class Pong
{
 public:
  Pong(const uint8_t ttl, const uint8_t hops, std::string id, Address& address, const uint32_t files, const uint32_t kbytes);
  Pong(const uint8_t ttl, const uint8_t hops, std::string id, std::string data);
  ~Pong();

  std::string    _id;
  std::string    _data;
  uint8_t        _ttl;
  uint8_t        _hops;
  uint32_t       _files;
  uint32_t       _kbytes;  
  Address        _address;
 private:
  void           toString();
};

#endif
