#ifndef QUERY_H
#define QUERY_H

#include <string>

#ifdef HAVE_STDINT_H
#include <stdint.h>
#else
#if HAVE_SYS_INT_TYPES_H
#include <sys/int_types.h>
#endif
#endif

using namespace std;

class Query
{
 public:
  Query(const uint8_t ttl, const uint8_t hops, std::string id, const uint16_t speed, std::string search);
  Query(const uint8_t ttl, const uint8_t hops, std::string id, std::string data);

  std::string  _id;
  std::string  _data;
  uint8_t      _ttl;
  uint8_t      _hops;
  uint16_t     _min_speed;
  std::string  _search;

 private:
  void         toString();
};

#endif
