#include "DownloadViewItem.h"

#include <qstring.h>

DownloadViewItem::DownloadViewItem(QListView *parent) : QListViewItem(parent)
{
}


QString DownloadViewItem::key(int column, bool ascending) const
{
  QString status;

  if(text(1).contains("Completed")) status = "95";
  if(text(1).contains("Connected")) status = "90";
  if(text(1).contains("Connecting")) status = "85";
  if(text(1).contains("Push")) status = "80";
  if(text(1).contains("Queue")) status = "75";
  if(text(1).contains("Close")) status = "70";
  if(text(1).contains("Busy")) status = "60";
  if(text(1).contains("Time")) status = "50";
  if(text(1).contains("Error")) status = "40";
  if(text(1).contains("Abort")) status = "30";
  if(text(1).contains("Exist")) status = "20";

  QString r;

  r = text(3).rightJustify(6, '0') + status + text(0).rightJustify(100, '0') +
    text(4).rightJustify(10,'0') + text(2).rightJustify(10, '0');

  QString ret;

  switch(column)
    {
    case 1:  // status
      ret = status + r;
      break;

    case 3:  // progress
      ret = status + text(3).rightJustify(15, '0') + r;
      break;

    case 2:  // filesize
    case 5:  // bandwidth
    case 6:  // time
      ret = text(column).rightJustify(15, '0') + r;
      break;

    defautl:
      ret = r;
    }

  return ret;
}
