#include "IconTabDialog.h"
#include "IconTabBar.h"

#include <iostream>
#include <qtabbar.h>
#include <qtabwidget.h>
#include <qtabdialog.h>
#include <qiconset.h>

/*!
  This is a rather circumstantial approach, I had to reimplement all classes
  having to do with the QTabBar just to set the tabBar manually, maybe I
  didn't get something, but setTabBar() seems to be protected
*/
IconTabDialog::IconTabDialog (QWidget * parent=0, const char * name=0, bool modal=FALSE, WFlags f=0)
  : QTabDialog(parent, name, modal, f)
{
  setTabBar(new IconTabBar());
  connect(tabBar(), SIGNAL(iconPressed()), this, SIGNAL(iconPressed()));
}


