#include "IconTabWidget.h"
#include "IconTabBar.h"

#include <iostream>
#include <qtabbar.h>
#include <qtabwidget.h>
#include <qtabdialog.h>
#include <qiconset.h>

IconTabWidget::IconTabWidget(QWidget *parent, const char *name, WFlags f)
  : QTabWidget(parent, name, f)
{
  setTabBar(new IconTabBar());
  connect(tabBar(), SIGNAL(iconPressed()), this, SIGNAL(iconPressed()));
}

IconTabWidget::IconTabWidget(QWidget *parent=0, const char *name=0)
  : QTabWidget(parent, name)
{
  setTabBar(new IconTabBar());
  connect(tabBar(), SIGNAL(iconPressed()), this, SIGNAL(iconPressed()));
}

