#include "Gnutella.h"

#include "Ping.h"
#include "Message.h"

Ping::Ping(const uint8_t ttl, const uint8_t hops, const std::string id)
  : _id(id), _ttl(ttl), _hops(hops)
{
  _data = id;

  _data += static_cast<char>(CMD_PING);
  _data += static_cast<char>(_ttl);
  _data += static_cast<char>(_hops);

  _data += std::string("\0\0\0\0", 4);

//   uint32_t payload = 0;
//   _data.append( Message::uint_str(payload) );
}
