#include "SharedViewItem.h"
#include "Connections.h"
#include "QueryHitEntry.h"
#include "QtellaSub.h"
#include "Search.h"

#include <qlistview.h>
#include <qstring.h>

#ifdef HAVE_STDINT_H
#include <stdint.h>
#else
#if HAVE_SYS_INT_TYPES_H
#include <sys/int_types.h>
#endif
#endif

SharedViewItem::SharedViewItem(QListView *parent, const char* text)
  : QListViewItem(parent, text) 
{
}


QString SharedViewItem::key(int column, bool ascending) const
{
  switch(column)
    {
    case 1: // uploads
    case 2: // requests
    case 3: // filesize
      return text(column).rightJustify(15, '0');
    }

  return text(column);
}
