#ifndef PING_H
#define PING_H

#include <string>

#ifdef HAVE_STDINT_H
#include <stdint.h>
#else
#if HAVE_SYS_INT_TYPES_H
#include <sys/int_types.h>
#endif
#endif

using namespace std;

class Ping
{
 public:
  Ping(const uint8_t ttl, const uint8_t hops, std::string id);

  std::string  _id;
  std::string  _data;
  uint8_t      _ttl;
  uint8_t      _hops;
};

#endif
