#include "Search.h"
#include "SearchWidget.h"
#include "QueryHitEntry.h"

Search::Search(string id, SearchWidget *sw, uint16_t min_speed, bool audio, bool video, bool images, bool any, bool active = true)
  : _min_speed(min_speed), _audio(audio), _video(video), _images(images), _any(any)
{
  this->id = id;
  this->sw = sw;
  this->active = active;
}

Search::~Search()
{
  for(int i = 0; i < vSearchResults.size(); i++) delete vSearchResults[i];
}
